import java.util.ArrayList;
import java.util.List;

public class Student {
    private String name;
    private String surname;
    private List<Double> gradesList;

    public Student(String name, String surname, List<Double> gradesList) {
        this.name = name;
        this.surname = surname;
        this.gradesList = gradesList;
    }

    public Student(String name, String surname) {
        this.name = name;
        this.surname = surname;
        this.gradesList = new ArrayList<>();
    }

    public String getName() {
        return name;
    }

    public String getSurname() {
        return surname;
    }

    public List<Double> getGradesList() {
        return gradesList;
    }

    public void setGradesList(List<Double> gradesList) {
        this.gradesList = gradesList;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setSurname(String surname) {
        this.surname = surname;
    }

    @Override
    public String toString() {
        return "Student{" +
                "name='" + name + '\'' +
                ", surname='" + surname + '\'' +
                ", gradesList=" + gradesList +
                '}';
    }

    public void displayGrades(){
        for(double grade : gradesList){
            System.out.println(grade);
        }
    }

    public void displayAllData() {
        System.out.println(name + " " + surname + ", grades: " + gradesList.toString()
                + " avg: " + calculateFinalGrade());
    }

    public double calculateFinalGrade() {
        if(gradesList.isEmpty()){
            return -1;
        }
        double sum = 0;
        for (double grade : gradesList) {
            sum += grade;
        }
        return sum/gradesList.size();
    }

}