import java.util.ArrayList;
import java.util.List;

public class StudentService {

    private String className;
    private List<Student> studentList;

    public StudentService(String className) {
        this.className = className;
        this.studentList = new ArrayList<>();
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public void addStudent(Student student){
        studentList.add(student);
    }

    public List<String> fetchStudentNames(){
        List<String> namesList = new ArrayList<>();
        for (Student student : studentList){
            namesList.add(student.getSurname());
        }
        return namesList;
    }

    public int fetchStudentsAmount(){
        return studentList.size();
    }

    public void showStudentNames(){
        for(int i = 0; i < studentList.size(); i++){
            System.out.println(i + " " + studentList.get(i).getName() + " " + studentList.get(i).getSurname());
        }
    }

    public void showStudentsWithSurname(String surname){
        System.out.println("Students with " + surname + " as surname:");
        for(Student student : studentList){
            if (student.getSurname().equals(surname)){
                student.displayAllData();
            }
        }
    }

    public List<Student> fetchStudentsWithGradeHigherThan(double grade) {
        List<Student> studentsWithHigherGradeList = new ArrayList<>();
        for(Student student : studentList){
            if(student.calculateFinalGrade() > grade){
                studentsWithHigherGradeList.add(student);
            }
        }
        return studentsWithHigherGradeList;
    }

}